ClientFeed (gCube Social Networking Library 1.4.0-SNAPSHOT API)
Date: 2014-03-05

org.gcube.portal.databook.shared

## Class ClientFeed

- java.lang.Object
- - org.gcube.portal.databook.shared.ClientFeed

- All Implemented Interfaces:
    Serializable

      public class ClientFeed
      extends Object
      implements Serializable

  Version:
    0.1 July 2012
  Author:
    Massimiliano Assante, ISTI-CNR
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ClientFeed.ClientFeedJsonizer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientFeed()`
    `ClientFeed(String key, String type, String userid, Date time, String uri, String description, String fullName, String email, String thumbnailURL, String linkTitle, String linkDescription, String linkUrlThumbnail, String linkHost)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getEmail()`
    `String` | `getFullName()`
    `String` | `getKey()`
    `String` | `getLinkDescription()`
    `String` | `getLinkHost()`
    `String` | `getLinkTitle()`
    `String` | `getLinkUrlThumbnail()`
    `String` | `getThumbnailURL()`
    `Date` | `getTime()`
    `String` | `getType()`
    `String` | `getUri()`
    `String` | `getUserid()`
    `void` | `setDescription(String description)`
    `void` | `setEmail(String email)`
    `void` | `setFullName(String fullName)`
    `void` | `setKey(String key)`
    `void` | `setLinkDescription(String linkDescription)`
    `void` | `setLinkHost(String linkHost)`
    `void` | `setLinkTitle(String linkTitle)`
    `void` | `setLinkUrlThumbnail(String linkUrlThumbnail)`
    `void` | `setThumbnailURL(String thumbnailURL)`
    `void` | `setTime(Date time)`
    `void` | `setType(String type)`
    `void` | `setUri(String uri)`
    `void` | `setUserid(String userid)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientFeed

          public ClientFeed()

    - #### ClientFeed

          public ClientFeed(String key,
                    String type,
                    String userid,
                    Date time,
                    String uri,
                    String description,
                    String fullName,
                    String email,
                    String thumbnailURL,
                    String linkTitle,
                    String linkDescription,
                    String linkUrlThumbnail,
                    String linkHost)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### setKey

          public void setKey(String key)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getUserid

          public String getUserid()

    - #### setUserid

          public void setUserid(String userid)

    - #### getTime

          public Date getTime()

    - #### setTime

          public void setTime(Date time)

    - #### getUri

          public String getUri()

    - #### setUri

          public void setUri(String uri)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getFullName

          public String getFullName()

    - #### setFullName

          public void setFullName(String fullName)

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email)

    - #### getThumbnailURL

          public String getThumbnailURL()

    - #### setThumbnailURL

          public void setThumbnailURL(String thumbnailURL)

    - #### getLinkTitle

          public String getLinkTitle()

    - #### setLinkTitle

          public void setLinkTitle(String linkTitle)

    - #### getLinkDescription

          public String getLinkDescription()

    - #### setLinkDescription

          public void setLinkDescription(String linkDescription)

    - #### getLinkUrlThumbnail

          public String getLinkUrlThumbnail()

    - #### setLinkUrlThumbnail

          public void setLinkUrlThumbnail(String linkUrlThumbnail)

    - #### getLinkHost

          public String getLinkHost()

    - #### setLinkHost

          public void setLinkHost(String linkHost)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.